---
apiVersion: v1
items:
- apiVersion: v1
  kind: Endpoints
  metadata:
    annotations:
      endpoints.kubernetes.io/last-change-trigger-time: "2025-10-28T11:19:08Z"
    creationTimestamp: "2025-10-27T11:31:10Z"
    managedFields:
    - apiVersion: v1
      fieldsType: FieldsV1
      fieldsV1:
        f:metadata:
          f:annotations:
            .: {}
            f:endpoints.kubernetes.io/last-change-trigger-time: {}
        f:subsets: {}
      manager: kube-controller-manager
      operation: Update
      time: "2025-10-28T11:19:08Z"
    name: apiserver
    namespace: openshift-kube-apiserver
    resourceVersion: "1004547"
    uid: 92bc5e66-c4ca-4e60-84d0-e53e3048264c
  subsets:
  - addresses:
    - ip: 10.46.248.134
      nodeName: cnvqe-072.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: kube-apiserver-cnvqe-072.lab.eng.tlv2.redhat.com
        namespace: openshift-kube-apiserver
        uid: af9908a1-877b-4cfd-afcb-4b9653a56db5
    - ip: 10.46.248.41
      nodeName: cnvqe-070.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: kube-apiserver-cnvqe-070.lab.eng.tlv2.redhat.com
        namespace: openshift-kube-apiserver
        uid: 0e8fa845-705b-498f-b9a7-32bdff158c52
    - ip: 10.46.248.42
      nodeName: cnvqe-071.lab.eng.tlv2.redhat.com
      targetRef:
        kind: Pod
        name: kube-apiserver-cnvqe-071.lab.eng.tlv2.redhat.com
        namespace: openshift-kube-apiserver
        uid: 41817095-90d7-4f30-9dba-410ef387f86b
    ports:
    - name: insecure-readyz
      port: 6080
      protocol: TCP
    - name: https
      port: 6443
      protocol: TCP
    - name: check-endpoints
      port: 17697
      protocol: TCP
kind: EndpointsList
metadata:
  resourceVersion: "2219997"
